Package org.gradle.ide.xcode.plugins

# Class XcodePlugin

java.lang.Object
org.gradle.plugins.ide.internal.IdePlugin
org.gradle.ide.xcode.plugins.XcodePlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class XcodePlugin extends org.gradle.plugins.ide.internal.IdePlugin
A plugin for creating a XCode project for a gradle project.

Since:
  4.2

## Field Summary

### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

`project`

## Constructor Summary

Constructors
Constructor
Description
`XcodePlugin(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator, ObjectFactory objectFactory)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getLifecycleTaskName()`
`protected void`
`onApply(Project project)`

### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

`addWorker, addWorker, apply, cleanName, getCleanTask, getCleanTask, getLifecycleTask, postProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XcodePlugin

@Inject public XcodePlugin(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator, ObjectFactory objectFactory)

## Method Details

### getLifecycleTaskName

protected String getLifecycleTaskName()

Specified by:
  `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

### onApply

protected void onApply(Project project)

Overrides:
  `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`